Activates a User on an Environment.
curl --request POST \
--url https://platform.versori.com/api/v2/o/{organisation_id}/activations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "<string>",
"environmentId": "<string>",
"connections": [
{
"connectionTemplateId": "<string>",
"existingConnectionId": "<string>"
}
],
"dynamicVariables": {}
}
'import requests
url = "https://platform.versori.com/api/v2/o/{organisation_id}/activations"
payload = {
"userId": "<string>",
"environmentId": "<string>",
"connections": [
{
"connectionTemplateId": "<string>",
"existingConnectionId": "<string>"
}
],
"dynamicVariables": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userId: '<string>',
environmentId: '<string>',
connections: [{connectionTemplateId: '<string>', existingConnectionId: '<string>'}],
dynamicVariables: {}
})
};
fetch('https://platform.versori.com/api/v2/o/{organisation_id}/activations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"user": {
"id": "<string>",
"externalId": "<string>",
"displayName": "<string>",
"organisationId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"environment": {
"id": "<string>",
"name": "<string>",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"publicUrl": "<string>",
"config": {
"deploymentSpec": {
"replicas": 123,
"autoscaling": {
"maxReplicas": 123
},
"staticIP": true,
"resources": {
"limits": {
"cpu": "<string>",
"memory": "<string>"
},
"requests": {
"cpu": "<string>",
"memory": "<string>"
}
},
"serviceAccountName": "<string>"
}
},
"executionPool": "<string>",
"files": [
{
"filename": "<string>",
"content": "<string>"
}
],
"labels": {},
"deployedVersion": {
"id": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"labels": {}
}
},
"connections": [
{
"id": "<string>",
"name": "<string>",
"credentials": [
{
"id": "<string>",
"authSchemeConfig": {
"none": {
"id": "<string>",
"description": "<string>",
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
]
},
"apiKey": {
"id": "<string>",
"description": "<string>",
"name": "<string>",
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
]
},
"basicAuth": {
"id": "<string>",
"description": "<string>",
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
]
},
"oauth2": {
"id": "<string>",
"description": "<string>",
"tokenUrl": "<string>",
"scopes": [
{
"name": "<string>",
"description": "<string>"
}
],
"defaultScopes": [
"<string>"
],
"grant": {
"authorizationCode": {
"credentialId": "<string>",
"organisationId": "<string>",
"clientId": "<string>",
"clientSecret": "<string>"
},
"clientCredentials": {},
"password": {
"credentialId": "<string>",
"organisationId": "<string>",
"clientId": "<string>",
"clientSecret": "<string>"
}
},
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
],
"authorizeUrl": "<string>",
"additionalAuthorizeParams": "<string>",
"additionalTokenParams": "<string>",
"mtlsEnabled": true,
"mtlsCredentialId": "<string>",
"pkce": true
},
"oauth1": {
"id": "<string>",
"description": "<string>",
"consumerKey": "<string>",
"consumerSecret": "<string>",
"signatureMethod": "<string>",
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
],
"tokenAuth": true,
"tempCredentialEndpoint": {
"url": "<string>",
"additionalParamConfigs": [
{
"parameterName": "<string>",
"required": true,
"modifiable": true,
"targetName": "<string>"
}
]
},
"resourceOwnerAuthorizationEndpoint": {
"url": "<string>",
"additionalParamConfigs": [
{
"parameterName": "<string>",
"required": true,
"modifiable": true,
"targetName": "<string>"
}
]
},
"tokenEndpoint": {
"url": "<string>",
"additionalParamConfigs": [
{
"parameterName": "<string>",
"required": true,
"modifiable": true,
"targetName": "<string>"
}
]
},
"credentialId": "<string>"
},
"hmac": {
"id": "<string>",
"description": "<string>",
"name": "<string>",
"digestInputs": [],
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
]
},
"certificate": {
"id": "<string>",
"description": "<string>",
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
]
}
},
"credential": {
"id": "<string>",
"organisationId": "<string>",
"name": "<string>",
"errors": [
"<string>"
],
"data": {
"binary": {
"valueBase64": "<string>"
},
"none": {},
"string": {
"value": "<string>"
},
"basicAuth": {
"username": "<string>",
"password": "<string>"
},
"oauth2Client": {
"clientId": "<string>",
"clientSecret": "<string>",
"tokenUrl": "<string>",
"scopes": [
"<string>"
],
"additionalParams": "<string>",
"mTLSEnabled": true,
"mTLSCredentialId": "<string>"
},
"oauth2Token": {
"scopes": [
"<string>"
],
"refreshToken": "<string>",
"accessToken": "<string>",
"tokenType": "Bearer",
"expiresAt": "2023-11-07T05:31:56Z"
},
"oauth2Code": {
"code": "<string>",
"state": "<string>",
"additionalParams": "<string>"
},
"oauth2Password": {
"username": "<string>",
"password": "<string>"
},
"certificate": {
"certificate": "<string>",
"key": "<string>",
"ca": "<string>"
},
"oauth1": {
"state": "<string>",
"oauthToken": "<string>",
"oauthVerifier": "<string>"
},
"oauth1Token": {
"token": "<string>",
"tokenSecret": "<string>",
"additionalParams": [
{
"name": "<string>",
"value": "<string>"
}
]
}
},
"expiresAt": "2023-11-07T05:31:56Z"
}
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"baseUrl": "<string>",
"systemId": "<string>",
"connectionTemplateId": "<string>"
}
],
"dynamicVariables": {}
}Projects
Activates a User on an Environment.
ActivateUser activates a user on an environment. This will create a new activation record for the user on the environment. Connections must be made for all environment systems to be successfully activated.
POST
/
o
/
{organisation_id}
/
activations
Activates a User on an Environment.
Authorizations
bearerTokencookie
Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.
Path Parameters
Body
application/json
⌘I